const Project = require('../models/Project');

exports.getProjects = async (req, res) => {
  const projects = await Project.find({ userId: req.user.id });
  res.json(projects);
};

exports.addProject = async (req, res) => {
  const newProject = new Project({ ...req.body, userId: req.user.id });
  await newProject.save();
  res.json(newProject);
};