const mongoose = require('mongoose');

const ProjectSchema = new mongoose.Schema({
  userId: { type: mongoose.Schema.Types.ObjectId, ref: 'User' },
  company: String,
  brand: String,
  deliverables: String,
  dueDate: Date,
  paymentReceived: Boolean,
  productReceivedDate: Date,
  projectStartDate: Date
});

module.exports = mongoose.model('Project', ProjectSchema);